=== debian/changelog ===
libebur128 (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #730129)

 -- Andrew Kelley <superjoe30@gmail.com>  Tue, 18 Feb 2014 13:54:18 -0400
