=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<libebur128>-$1\.tar\.gz/ https://github.com/jiixyj/libebur128/tags .*/v?(\d\S*)\.tar\.gz
