=== ebur128/CMakeLists.txt ===
--- 
+++ 
@@ -47,6 +47,9 @@
     SOVERSION ${EBUR128_VERSION_MAJOR}
     VERSION ${EBUR128_VERSION})
 
+if(UNIX)
+  target_link_libraries(ebur128 -lm)
+endif(UNIX)
 
 if(SPEEXDSP_FOUND AND NOT DISABLE_SPEEXDSP)
     set_property(TARGET ebur128_static APPEND_STRING PROPERTY
@@ -60,5 +63,5 @@
 set(SUMMARY_SPEEXDSP_FOUND ${SPEEXDSP_FOUND} CACHE INTERNAL "")
 set(EBUR128_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR} CACHE INTERNAL "")
 
-install(FILES ebur128.h DESTINATION include)
-install(TARGETS ebur128 ebur128_static DESTINATION lib)
+install(FILES ebur128.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+install(TARGETS ebur128 ebur128_static DESTINATION ${CMAKE_INSTALL_LIBDIR})
