=== debian/changelog ===
libebur128 (1.0.2-1) unstable; urgency=low

  * New upstream release
    - Fixes memory leak when API used improperly (Closes: #762384)
  * Update to canonical watch file format
  * Add Upstream-Contact to copyright
  * Remove patches which are now shipped from upstream

 -- Andrew Kelley <superjoe30@gmail.com>  Mon, 29 Sep 2014 00:03:24 +0000
