=== debian/changelog ===
libebur128 (1.1.0-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 28 Jul 2016 14:42:56 -0700

libebur128 (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/libebur128-1.symbols: Update symbols.
  * debian/control:
    - Update Vcs-*.
    - Bump Standards-Version to 3.9.7.
    - Remove obsolete Pre-Depends.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 17 Feb 2016 20:06:59 +0100

libebur128 (1.0.3-1) unstable; urgency=medium

  * New upstream relese.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Jan 2016 13:34:28 +0100
