=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: libebur128
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Andrew Kelley <superjoe30@gmail.com>, Sebastian Ramacher <sramacher@debian.org>
 Build-Depends: debhelper (>= 9), cmake, libspeexdsp-dev, pkg-config
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libebur128.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libebur128.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebur128.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libebur128.git
 
 Package: libebur128-dev
 Section: libdevel
@@ -35,7 +37,6 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
 Description: implementation of the EBU R128 loudness standard
  The European Broadcasting Union Loudness Recommendation (EBU R128) informs
  broadcasters how they can analyze and normalize audio so that each piece of
