## libebur128 1.2.0

=== debian/changelog ===
libebur128 (1.2.0-2) unstable; urgency=medium

  * Team upload.
  * Provide pkg-config file. (Closes: #854340)
    - debian/patches: Add upstream patch to provide pkgconfig file.
    - debian/libebur128-dev.install: Install pkg-config file.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 21 Feb 2017 15:08:47 +0100

libebur128 (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/{control,compat}: Bump debhelper compat to 10.
  * debian/control:
    - Bump Standards-Version.
    - Drop libspeexdsp-dev from B-D.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Nov 2016 23:49:43 +0100
