=== debian/changelog ===
libebur128 (1.2.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 28 Feb 2017 22:45:32 +0100

libebur128 (1.2.2-1) experimental; urgency=medium

  * New upstream release.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 27 Feb 2017 21:10:29 +0100
