=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: libebur128
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Andrew Kelley <superjoe30@gmail.com>, Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 9), cmake, libspeexdsp-dev, pkg-config
-Standards-Version: 3.9.7
+Build-Depends: debhelper (>= 10), cmake, pkg-config
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebur128.git
