=== debian/changelog ===
libebur128 (1.2.4-2) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org
  * Remove Andrew from Uploaders, as he is no longer active (Closes: #909872)

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.
  * debian/: Bump debhelper compat to 12.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Jan 2019 13:16:42 +0100

libebur128 (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version.
    - Move to salsa.debian.org.
  * debian/: Bump debhelper compat to 11.
  * debian/copyright: Add myself.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 01 Feb 2018 18:58:27 +0100

libebur128 (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version.
  * debian/patches: Removed, integrated upstream.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 19 Nov 2017 12:49:09 +0100
