=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: libebur128
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Andrew Kelley <superjoe30@gmail.com>, Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 10), cmake, pkg-config
-Standards-Version: 3.9.8
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Uploaders: Sebastian Ramacher <sramacher@debian.org>
+Build-Depends: debhelper (>= 12), cmake, pkg-config
+Standards-Version: 4.3.0
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/libebur128.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/libebur128.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/libebur128.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/libebur128
 
 Package: libebur128-dev
 Section: libdevel
