=== debian/changelog ===
libebur128 (1.2.5-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
    - Bump debhelper compat to 13
  * debian/libebur128-dev.install: No longer install static library

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Feb 2021 20:50:00 +0100
