=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper (>= 12), cmake, pkg-config
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), cmake, pkg-config
+Standards-Version: 4.5.1
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebur128.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/libebur128
+Rules-Requires-Root: no
 
 Package: libebur128-dev
 Section: libdevel
