=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/libebur128-$1.tar.gz/ \
 https://github.com/jiixyj/libebur128/tags .*/archive/v?([\d\.]+).tar.gz
