## libebur128 1.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,14 @@
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 project(libebur128 C)
+
+option(BUILD_SHARED_LIBS
+    "Build shared libraries instead of static ones" ON)
+
+if(ENABLE_FUZZER)
+  enable_language(CXX)
+  set(SANITIZER_FLAGS "-fsanitize=address,undefined,unsigned-integer-overflow")
+  set(FUZZER_FLAGS "${SANITIZER_FLAGS},fuzzer")
+endif()
 
 list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
@@ -23,14 +32,10 @@
 message(STATUS "Status          found / disabled --")
 message(STATUS "queue.h:        ${SUMMARY_HAS_QUEUE}"        "     ${USE_QUEUE}")
 
-if(BUILD_STATIC_LIBS)
-  message(STATUS "build static library and shared library!")
+if(BUILD_SHARED_LIBS)
+  message(STATUS "Building shared library (set BUILD_SHARED_LIBS to OFF to build static)")
 else()
-  message(STATUS "not building static library, set BUILD_STATIC_LIBS to ON to enable")
-endif()
-
-if(NOT ${SUMMARY_HAS_QUEUE} AND NOT ${ENABLE_INTERNAL_QUEUE_H})
-  message(FATAL_ERROR "queue.h not found, please set ENABLE_INTERNAL_QUEUE_H to ON")
+  message(STATUS "Building static library")
 endif()
 
 if(ENABLE_TESTS)
