=== ebur128/CMakeLists.txt ===
--- 
+++ 
@@ -28,35 +28,21 @@
 
 
 set(EBUR128_VERSION_MAJOR 1)
-set(EBUR128_VERSION 1.2.5)
+set(EBUR128_VERSION 1.2.6)
 
 add_library(ebur128 ebur128.c)
+set_target_properties(ebur128 PROPERTIES
+  SOVERSION ${EBUR128_VERSION_MAJOR}
+  VERSION ${EBUR128_VERSION}
+)
 
-if(NOT BUILD_SHARED_LIBS)
-  # Static build specific things
+if(BUILD_SHARED_LIBS)
+  if(MSVC)
+    target_sources(ebur128 PRIVATE ebur128.def)
+  endif()
+else()
   if(WITH_STATIC_PIC)
     set_property(TARGET ebur128 PROPERTY POSITION_INDEPENDENT_CODE ON)
-
-    set_target_properties(ebur128 PROPERTIES
-      SOVERSION ${EBUR128_VERSION_MAJOR}
-      VERSION ${EBUR128_VERSION})
-  endif()
-
-else()
-  # Share build specific things
-  set_target_properties(ebur128 PROPERTIES
-    SOVERSION ${EBUR128_VERSION_MAJOR}
-    VERSION ${EBUR128_VERSION})
-
-  if(WIN32)
-    set_target_properties(ebur128 PROPERTIES
-      OUTPUT_NAME ebur128
-      RUNTIME_OUTPUT_NAME ebur128-${EBUR128_VERSION_MAJOR}
-      ARCHIVE_OUTPUT_NAME ebur128)
-  endif(WIN32)
-
-  if(MSVC)
-    target_sources(ebur128 PRIVATE ebur128.def)
   endif()
 endif()
