=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
-cmake_minimum_required(VERSION 2.8.9)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(ENABLE_TESTS OFF CACHE BOOL "Build test binaries, needs libsndfile")
+set(ENABLE_FUZZER OFF CACHE BOOL "Build fuzzer binary")
 
 if(ENABLE_TESTS)
   find_package(PkgConfig REQUIRED)
@@ -18,3 +19,12 @@
   target_link_libraries(r128-test-library ebur128 ${SNDFILE_LIBRARIES})
   target_link_libraries(minimal-example ebur128 ${SNDFILE_LIBRARIES})
 endif()
+
+if(ENABLE_FUZZER)
+  include_directories(${EBUR128_INCLUDE_DIR})
+
+  add_executable(fuzzer fuzzer)
+  target_link_libraries(fuzzer ebur128)
+  target_compile_options(fuzzer PUBLIC "${FUZZER_FLAGS}")
+  target_link_libraries(fuzzer "${FUZZER_FLAGS}")
+endif()
