=== debian/changelog ===
libebur128 (1.2.6-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version
    - Use pkgconf
  * debian/patches: Set the minimum CMake version to 3.5 (Closes: #1113143)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 01 Sep 2025 21:08:21 +0200

libebur128 (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 20 Sep 2021 22:14:37 +0200
