=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Sebastian Ramacher <sramacher@debian.org>
-Build-Depends: debhelper-compat (= 13), cmake, pkg-config
-Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 13), cmake, pkgconf
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/jiixyj/libebur128
 Vcs-Git: https://salsa.debian.org/multimedia-team/libebur128.git
